# Contribution Guidelines

- Always put the learner first.
- Have a high bar for quality. The Internet is full of awesome things as well as less-than-awesome things.
- Only add links you think are awesome.
- Do not promote your own books / articles / videos etc. If it's good, it will show up.
- Remove any affiliate codes etc from the links.
- Search existing resources/links before adding a new one, as yours may be a duplicate.
- Paid resources (like courses) are okay, but they should be marked as `paid`. Remember, quality is the first criteria.
- Try to add this metadata with every link whenever relevant:
  - Year (to know how old a resource is)
  - Estimated time it will take to complete (reading, watching, completing course exercises etc.)
  - Difficulty level (beginner / intermediate / expert)
  - Author. Add them in `people` section whenever they're worth following for that topic.
- *Use the following format: `[Name](link) (Year, Time Estimate, Difficulty level) by Author - Description.`*
- If you want to add notes to a course, add it below the course as subdashed point.
- Links should be put into their appropriate topics & formats. Pick the one you think is closest if you are not sure.
- Build a useful concept graph by specifying prerequisites and subtopics. This is often hard.
- For a new topic, start with this [template](template.md).
- New categories or improvements to the existing categorization are welcome.
- Check your spelling and grammar.
- Discuss your ideas & questions over at [Gitter](https://gitter.im/learn-awesome/).

Thank you for your suggestions! 💜
