# Data Science

- related_topics:
- curators: [Jarmos](https://twitter.com/Jarmosan)

------

## Apps

## Articles

- [Teach Yourself Data Science](https://medium.freecodecamp.org/a-path-for-you-to-learn-analytics-and-data-skills-bd48ccde7325) by [Dan Stern](https://medium.freecodecamp.org/@danstern)
- [A Comprehensive Learning Path for Deep Learning](https://medium.com/analytics-vidhya/a-comprehensive-learning-path-for-deep-learning-in-2019-4836744d5c) by [Pranav Dar](https://medium.com/@dberbatov)
- [Technical Notes on Using Data Science and AI](https://chrisalbon.com/) by [Chris Albon](https://chrisalbon.com/about/chris_albon/)
- [Where to Start Data Mining and Data Science](https://www.kdnuggets.com/faq/learning-data-mining-data-science.html)
- [27 Amazing Data Science Books Every Data Scientist Should Read](https://medium.com/analytics-vidhya/27-books-every-data-scientist-should-read-7b051607595) by [Pranav Dar](https://medium.com/@dberbatov)
- [Beginner Guide to Data Science](https://hackernoon.com/beginners-guide-for-data-science-388a2ceab93d) by [Jay Rodge](https://hackernoon.com/@jayrodge)
- [How to Become a Data Scientist On Your Own | Kaggle](https://www.kaggle.com/getting-started/44915)
- [Learn Data Science With Dataquest](https://www.dataquest.io/blog/learn-data-science/)
- [How to Get into the Top 15 of a Kaggle Competition Using Python](https://www.dataquest.io/blog/kaggle-tutorial/)
- [Building a Data Science Portfolio: Storytelling With Data](https://www.dataquest.io/blog/data-science-portfolio-project/)

## Audio, Podcasts

- [Data Skeptic Episodes](https://dataskeptic.com/podcast?limit=10&offset=0)
- [Linear Digressions](http://lineardigressions.com/)
- [Not So Standard Deviations](http://nssdeviations.com/)
- [Super Data Science](https://www.superdatascience.com/podcast/)
- [TWiML&AI](https://twimlai.com/)
- [Artificial Intelligence in Industry With Daniel Fagella](http://techemergence.libsyn.com/)
- [Learning Machines 101](https://www.learningmachines101.com/)

## Blogs

- [Robert Chang](https://medium.com/@rchang) - Worked at Airbnb and Twitter.
- [Variance Explained](http://varianceexplained.org/)
- [Data Science & Psychology](http://www.polipsych.com/)
- [Data Science 101 | Learning to be a Data Scientist](https://101.datascience.community/)
- [KDNuggets](https://www.kdnuggets.com/)
- [No Free Hunch | The Official Blog of Kaggle](http://blog.kaggle.com/)
- [Data Science Central](https://www.datasciencecentral.com/)
- [MIT Deep Learning](https://deeplearning.mit.edu/)
- [Becoming Human: Artificial Intelligence Magazine](https://becominghuman.ai/)
- [Machine Learnings](https://machinelearnings.co/)
- [Applied Data Science](https://medium.com/applied-data-science)
- [Analytics Vidhya](https://medium.com/analytics-vidhya)
- [ML Review](https://medium.com/mlreview)
- [Curated List of Data Science Blogs](https://github.com/rushter/data-science-blogs) & [Real-time updated list of blog posts](https://rushter.com/dsreader/) by [Artem Golubin](https://github.com/rushter)

## Books

- [📕 Hands-on Machine Learning With Scikit-Learn, Keras & TensorFlow, 2nd Edition (2019)](https://www.oreilly.com/library/view/hands-on-machine-learning/9781492032632/) by [Aurélien Géron](https://twitter.com/aureliengeron?lang=en)
- [📕 Designing Data-Intensive Applications (2017)](https://dataintensive.net/) by [Martin Kleppmann](https://martin.kleppmann.com/)

## Certifications & Assessment

- [Data Scientist Masters Program | Simplilearn](https://www.simplilearn.com/big-data-and-analytics/senior-data-scientist-masters-program-training)

## Cheatsheets

- [General Data Science Cheatsheets](https://github.com/ml874/Data-Science-Cheatsheet/blob/master/data-science-cheatsheet.pdf) by [Maverick Lin](https://github.com/ml874)
- [Python For Data Science](https://datacamp-community-prod.s3.amazonaws.com/e30fbcd9-f595-4a9f-803d-05ca5bf84612)
- [Beginner Pandas Cheatsheet](https://datacamp-community-prod.s3.amazonaws.com/fbc502d0-46b2-4e1b-b6b0-5402ff273251)
- [Scikit-Learn for Machine Learning in Python](https://datacamp-community-prod.s3.amazonaws.com/5433fa18-9f43-44cc-b228-74672efcd116)
- [Advanced Pandas Cheatsheet](https://datacamp-community-prod.s3.amazonaws.com/9f0f2ae1-8bd8-4302-a67b-e17f3059d9e8)
- [Plotting in Python Using Matplotlib](https://datacamp-community-prod.s3.amazonaws.com/28b8210c-60cc-4f13-b0b4-5b4f2ad4790b)
- [Basic NumPy Usage Cheatsheet](https://datacamp-community-prod.s3.amazonaws.com/e9f83f72-a81b-42c7-af44-4e35b48b20b7)
- [Statistical Data Visualistion Using Seaborn](https://datacamp-community-prod.s3.amazonaws.com/f9f06e72-519a-4722-9912-b5de742dbac4)
- [Keras Cheatsheet](https://datacamp-community-prod.s3.amazonaws.com/94fc681d-5422-40cb-a129-2218e9522f17)
- [Importing Data Using Python](https://datacamp-community-prod.s3.amazonaws.com/50d31142-3de0-4159-89b9-18b718a728ef)
- [Bokeh Data Visualization Cheatsheet](https://datacamp-community-prod.s3.amazonaws.com/f9511cf4-abb9-4f52-9663-ea93b29ee4b7)
- [Jupyter Notebook Cheatsheet](https://datacamp-community-prod.s3.amazonaws.com/f9511cf4-abb9-4f52-9663-ea93b29ee4b7)

## Code

## Conferences

- [Open Data Science Conference](https://odsc.com/)
- [The Data Science Conference](https://www.thedatascienceconference.com/)
- [AnacondaCON](https://anacondacon.io/)
- [QCon.ai](https://qcon.ai/)
- [Re-Work](https://www.re-work.co/)

## Courses

- [Machine Learning A-Z™: Hands-On Python & R In Data Science](https://www.udemy.com/share/100034BUQcclZbRXo=/)
- [Python for Data Science and Machine Learning Bootcamp](https://www.udemy.com/share/10008ABUQcclZbRXo=/)
- [R Programming A-Z™: R For Data Science With Real Exercises!](https://www.udemy.com/share/1000DOBUQcclZbRXo=/)
- [Data Science and Machine Learning Bootcamp with R](https://www.udemy.com/share/1000HWBUQcclZbRXo=/)
- [The Data Science Course 2019: Complete Data Science Bootcamp](https://www.udemy.com/share/100hMqBUQcclZbRXo=/)
- [Python A-Z™: Python For Data Science With Real Exercises!](https://www.udemy.com/share/1000rsBUQcclZbRXo=/)
- [Statistics for Data Science and Business Analysis](https://www.udemy.com/share/10003QBUQcclZbRXo=/)
- [Microsoft Professional Program in Data Science](https://www.edx.org/microsoft-professional-program-data-science)
- [Microsoft Professional Program in Artificial Intelligence](https://www.edx.org/microsoft-professional-program-artificial-intelligence)
- [Python Data Science](https://www.edx.org/professional-certificate/python-data-science)
- [Data Science](https://www.edx.org/professional-certificate/harvardx-data-science)
- [Full Stack Data Science Program](https://www.jigsawacademy.com/full-stack-data-science-program-online/)
- [Machine Learning](https://www.coursera.org/learn/machine-learning)
- [IBM Data Science Professional Certificate](https://www.coursera.org/specializations/ibm-data-science-professional-certificate)
- [Deep Learning Specialization](https://www.coursera.org/specializations/deep-learning)
- [Applied Data Science with Python Specialization](https://www.coursera.org/specializations/data-science-python)
- [Data Science Specialization](https://www.coursera.org/specializations/jhu-data-science)
- [Machine Learning with TensorFlow on Google Cloud Platform Specialization](https://www.coursera.org/specializations/machine-learning-tensorflow-gcp)
- [Neural Networks and Deep Learning](https://www.coursera.org/learn/neural-networks-deep-learning)
- [Mathematics for Machine Learning Specialization](https://www.coursera.org/specializations/mathematics-machine-learning)
- [What is Data Science](https://www.coursera.org/learn/what-is-datascience)

## Forums, Group chats

- [KDNuggets LinkedIn Group](https://www.linkedin.com/groups/54257/)
- [Data Science Central](https://www.datasciencecentral.com/forum)
- [Analytics Vidhya](https://discuss.analyticsvidhya.com/)
- [Data Is Ugly | Reddit](https://www.reddit.com/r/dataisugly/)
- [Data Is Beautiful | Reddit](https://www.reddit.com/r/dataisbeautiful/)
- [LearnMachineLearning | Reddit](https://www.reddit.com/r/learnmachinelearning/)
- [Data Science | Reddit](https://www.reddit.com/r/datascience/)
- [KaggleNoobs](https://kagglenoobs.herokuapp.com/)
- [DataHouse Discord](https://discord.gg/qVRkPtr)

## FlashCards

## Games

## Images

## Interactives

## Learning Plans

- [Data Science Foundations](https://cognitiveclass.ai/learn/data-science/)

## Livestreams

## Meetups

- [List of Data Science Meetups Worldwide](https://www.datascienceweekly.org/data-science-resources/data-science-meetups)
- [Silicon Valley Startup: Idea to IPO](https://www.meetup.com/Silicon-Valley-Startup-Idea-to-IPO/)
- [Data Driven NYC | 17k+ Members](https://www.meetup.com/DataDrivenNYC/)
- [SF Data Science | 15k+ Members](https://www.meetup.com/SF-Data-Science/)
- [Applied Singularity | 14k+ Members](https://www.meetup.com/SF-Data-Science/)
- [Nubank Data Science & Machine Learning | 11k+ Members](https://www.meetup.com/SF-Data-Science/)

## Newsletters

- [ML Review - Machine Learning Digest](https://mlreview.com/?medium)
- [Data Elixir](https://dataelixir.com/)
- [The Data Science Roundup](http://roundup.fishtownanalytics.com/)
- [Data Science Weekly Newsletter](https://www.datascienceweekly.org/)
- [KDNuggets News](https://www.kdnuggets.com/news/subscribe.html?1)
- [O'Reilly Data Newsletter](https://www.oreilly.com/data/newsletter.html)
- [The Analytics Dispatch](https://mode.com/newsletter/)
- [Hacker News Digest](https://www.hndigest.com/)
- [Data Machina](https://datamachina.substack.com/)
- [Import AI](https://us13.campaign-archive.com/home/?u=67bd06787e84d73db24fb0aa5&id=6c9d98ff2c)
- [The Wild Week in AI](https://www.getrevue.co/profile/wildml?utm_campaign=Issue&utm_content=profilename&utm_medium=email&utm_source=The+Wild+Week+in+AI)
- [Data is Plural](https://tinyletter.com/data-is-plural)
- [Towards Data Science Newsletter](https://towardsdatascience.com/tagged/tds-letter)
- [Deep Learning Weekly](https://www.deeplearningweekly.com/?utm_source=twitter&utm_medium=profile-description)
- [Deep Hunt Newsletter](https://deephunt.in/tagged/newsletter) by [Avinash Hindpur](https://twitter.com/hindupuravinash)
- [The Algorithm - MIT Technology Review](https://go.technologyreview.com/newsletters/the-algorithm/)
- [TOPBOTS: Applied AI for Bussiness](https://www.topbots.com/enterprise-ai-news-pro-newsletter/)
- [Artificial Intelligence and Deep Learning Weekly](http://aidl.io/)
- [Center for Data Innovation](https://www.datainnovation.org/about/newsletter/)
- [Data Science Community Newsletter - NYU Center for Data Science](https://cds.nyu.edu/newsletter/)
- [Analytics Vdihya](https://www.analyticsvidhya.com/)
- [R-Bloggers](https://www.r-bloggers.com/)
- [Data Science Central](https://www.datasciencecentral.com/profiles/blogs/check-out-our-dsc-newsletter)

## People

- [Jeremy P. Howard](https://en.wikipedia.org/wiki/Jeremy_Howard_(entrepreneur)) -- [Twitter](https://twitter.com/jeremyphoward?ref_src=twsrc%5Egoogle%7Ctwcamp%5Eserp%7Ctwgr%5Eauthor) | [YouTube](https://www.youtube.com/user/howardjeremyp/feed) | [LinkedIn](https://www.linkedin.com/in/howardjeremy/) | [Kaggle](https://www.kaggle.com/jhoward)
- [Siraj Raval](https://sirajraval.com/)
- [Lex Fridman](https://lexfridman.com/)

## Q&A

- [Data science | Quora](https://www.quora.com/topic/Data-Science)
- [Data | Quora](https://www.quora.com/topic/Data)
- [Datasets | Quora](https://www.quora.com/topic/Datasets)
- [Data science | StackExchange](https://datascience.stackexchange.com)

## Research Papers

## Videos, Documentaries & Films

- [MIT Deep Learning | YouTube](https://www.youtube.com/playlist?list=PLrAXtmErZgOeiKm4sgNOknGvNjby9efdf) by [Lex Fridman](https://lexfridman.com/)

## Wiki

- [Main Wikipedia](https://en.wikipedia.org/wiki/Data_science)
- [Simple Wikipedia](https://simple.wikipedia.org/wiki/Data_science)

