# Learning

- related_topics: [Space Repetition](spaced-repetition.md), [education](education.md)
- curators: nileshtrivedi

---

## Apps & Websites

- [Anki: Flash cards with spaced repetition](https://apps.ankiweb.net/)
- [LibGen](http://gen.lib.rus.ec/)
- [SciHub](https://sci-hub.tw/)
- [Main Wikipedia](https://en.wikipedia.org/)
- [Simple Wikipedia](https://simple.wikipedia.org/)
- [OpenCulture](http://www.openculture.com/)
- [Coursera](https://coursera.org)
- [Wikiversity](https://en.wikiversity.org/wiki/Wikiversity:Main_Page)
- [MIT OpenCourseWare](https://en.wikiversity.org/wiki/Wikiversity:Main_Page)

## Articles

- [The Spiral Approach to Thinking and Learning](https://www.av8n.com/physics/spiral-approach.htm) (alternative to Mastery learning)
- [There's no speed limit](https://sivers.org/kimo) by [Derek Sivers](#people) (5 minutes)
- [What kids need to learn to succeed in 2050](https://medium.com/s/youthnow/yuval-noah-harari-21-lessons-21st-century-what-kids-need-to-learn-now-to-succeed-in-2050-1b72a3fb4bcf) by Yuval Noah Harari
- [Want to learn a new skill? Take some short breaks](https://www.ninds.nih.gov/News-Events/News-and-Press-Releases/Press-Releases/Want-learn-new-skill-Take-some-short-breaks)
- [Designing personal curricula for lifelong learning](https://medium.com/swlh/designing-personal-curricula-for-lifelong-learning-9f2b2d21b893) by Kunal Shandilya
- [The Problem With Learning Styles](https://www.scientificamerican.com/article/the-problem-with-learning-styles/)
- [Why Lifelong Learning is The Only Option](http://www.gettingsmart.com/2017/01/10-reasons-why-lifelong-learning-is-the-only-option/)
- [Aerobic Exercises Enhance Neurogenesis and Neuroplasticity](https://sharpbrains.com/resources/2-the-4-pillars-of-brain-maintenance/physical-exercise-why-aerobic-exercise-enhances-neurogenesis-and-neuroplasticity/)
- [You and Your Research](https://jamesclear.com/great-speeches/you-and-your-research-by-richard-hamming) by Richard Hamming
- [Learning, Remembering & Thinking](https://www.av8n.com/physics/thinking.htm) by John Denker
- [All you need is 20 hours to learn something new](https://ideas.ted.com/dont-have-10000-hours-to-learn-something-new-thats-fine-all-you-need-is-20-hours/) by Josh Kaufman

## Audio, Podcasts

## Blogs

## Books

- [The Art of Learning](https://www.goodreads.com/book/show/857333.The_Art_of_Learning) by [Josh Watzkin](#people)
- [Learning: A Very Short Introduction](https://www.goodreads.com/book/show/27310222-learning) by [Mark Haselgrove](#people)
- [How People Learn: Brain, Mind, Experience, and School](https://www.nap.edu/catalog/9853/how-people-learn-brain-mind-experience-and-school-expanded-edition) by [National Academies Press](https://www.nap.edu)
- [Learning How To Learn](https://www.goodreads.com/book/show/36647421-learning-how-to-learn?ac=1&from_search=true) (2018) by [Barbara Oakley](#people)
- [The 4-hour Chef](https://www.goodreads.com/book/show/13129810-the-4-hour-chef) by Timothy Ferris
- [Mastery](https://www.goodreads.com/book/show/13589182-mastery) by Robert Greene
- [Mindstorms](https://mindstorms.media.mit.edu/) by Seymour Papert
- [Experience and Education](https://books.google.co.in/books?id=JhjPK4FKpCcC&redir_esc=y) by John Dewey
- [Young Children Reinvent Arithmetic](https://books.google.co.in/books/about/Young_Children_Reinvent_Arithmetic.html?id=XWPdDgAAQBAJ&redir_esc=y)
- [Lifelong Kindergarten](https://mitpress.mit.edu/books/lifelong-kindergarten) by Mitchel Resnick

## Certifications & Assessment

## Cheatsheets

## Code

## Conferences

## Courses

- [Learning How To Learn: Powerful mental tools to help you master tough subjects](https://www.coursera.org/learn/learning-how-to-learn/) by [Dr. Barbara Oakley](#people) & [Dr. Terrence Sejnowski](https://www.coursera.org/instructor/terry) (12 hours; Beginner)
- [Mindshift: Break Through Obstacles to Learning and Discover Your Hidden Potential](https://www.coursera.org/learn/mindshift) by [Dr. Barbara Oakley](#people), [Dr. Terrence Sejnowski](https://www.coursera.org/instructor/terry) & M.S. Orlando Trejo (11 hours; Beginner)

## FlashCards

## Forums, Group chats

- [/r/TodayILearned](https://www.reddit.com/r/todayilearned/top/?sort=top&t=all)
- [/r/ExplainLikeImfive](https://www.reddit.com/r/explainlikeimfive/top/?sort=top&t=all)
- [/r/EducationalGIFs](https://www.reddit.com/r/educationalgifs/top/?sort=top&t=all)
- [/r/YouShouldKnow](https://www.reddit.com/r/YouShouldKnow/top/?sort=top&t=all)
- [/r/IWantToLearn](https://www.reddit.com/r/IWantToLearn/top/?sort=top&t=all)
- [/r/howto](https://www.reddit.com/r/howto/top/?sort=top&t=all)
- [/r/answers](https://www.reddit.com/r/answers/top/?sort=top&t=all)
- [/r/lectures](https://www.reddit.com/r/lectures/top/?sort=top&t=all)
- [/r/teachingresources](https://www.reddit.com/r/teachingresources/top/?sort=top&t=all)
- [/r/OpenEd](https://www.reddit.com/r/OpenEd/top/?sort=top&t=all)
- [/r/UniversityOfReddit](https://www.reddit.com/r/universityofreddit/)

## Games

## Images

## Interactives

- [How to remember anything forever-ish](https://ncase.me/remember/) by [Nicky Case](#people) (20 minutes)

## Livestreams

## Meetups

## Newsletters

## People

- Dr. Barbara Oakley: [twitter](https://twitter.com/barbaraoakley), [website](https://barbaraoakley.com/), [wiki](https://en.wikipedia.org/wiki/Barbara_Oakley)
- Dr. Terrence Sejnowski: [wiki](https://en.wikipedia.org/wiki/Terry_Sejnowski)
- Derek Sivers: [twitter](https://twitter.com/sivers/), [website](https://sivers.org/)
- Nicky Case: [twitter](https://twitter.com/ncasenmare), [website](https://ncase.me/)
- Josh Watzkin: [website](http://www.joshwaitzkin.com/), [wiki](https://en.wikipedia.org/wiki/Joshua_Waitzkin)
- Mark Haselgrove: [twitter](https://twitter.com/MarkHaselgrove), [website](https://www.nottingham.ac.uk/psychology/people/mark.haselgrove)

## Q&A

## Quotes

> The ceramics teacher announced on opening day that he was dividing the class into two groups. All those on the left side of the studio, he said, would be graded solely on the quantity of work they produced, all those on the right solely on its quality. His procedure was simple: on the final day of class he would bring in his bathroom scales and weigh the work of the "quantity" group: fifty pound of pots rated an "A", forty pounds a "B", and so on. Those being graded on "quality", however, needed to produce only one pot - albeit a perfect one - to get an "A". Well, came grading time and a curious fact emerged: the works of highest quality were all produced by the group being graded for quantity. It seems that while the "quantity" group was busily churning out piles of work - and learning from their mistakes - the "quality" group had sat theorizing about perfection, and in the end had little more to show for their efforts than grandiose theories and a pile of dead clay. - From the book "Art & Fear"

> The internet is the best school ever created. The best peers are on the Internet. The best books are on the Internet. The best teachers are on the Internet. The tools for learning are abundant. It’s the desire to learn that’s scarce. - Naval Ravikant

> Education is what people do to you. Learning is what you do for yourself. - Unknown

## Research Papers

## Videos, Documentaries & Films

- [TEDx: Learning How To Learn](https://www.youtube.com/watch?v=O96fE1E-rf8) by [Dr. Barbara Oakley](#people)
- [CrashCourse: Study Skills](https://www.youtube.com/watch?v=IhuwS5ZLwKY&list=PL8dPuuaLjXtNcAJRf3bE1IJU6nMfHj86W) by Thomas Frank
- [Rich Series Professional Development for Maths by Dan Finkel](https://mathspathway.com/media-library/)
- [Learning to Learn](https://www.youtube.com/playlist?list=PL2FF649D0C4407B30) by Richard Hamming
- [The Science of Learning](https://youtu.be/8i-nkurgt_4)
- [Digital Aristotle: Thoughts on the Future of Education](https://www.youtube.com/watch?v=7vsCAM17O-M)
- [This will revolutionize education](https://www.youtube.com/watch?v=GEmuEWjHr5c) by Veritasium (a critique to Digital Aristotle idea above)
- [The Science of Thinking](https://www.youtube.com/watch?v=UBVV8pch1dM) by Veritasium
- [It's the Educonomy, Stupid!](https://www.c-span.org/video/?c4502496/brandon-busteed-speech) by Brandon Busteed, Director of Education from Gallup

## Wiki

- [Main Wikipedia](https://en.wikipedia.org/wiki/Learning)
- [Simple Wikipedia](https://simple.wikipedia.org/wiki/Learning)
- [Philosophy of Education](https://en.wikipedia.org/wiki/Philosophy_of_education)
- [Mastery Learning](https://en.wikipedia.org/wiki/Mastery_learning)