# Machine Learning

- related_topics:
- curators:

------

## Apps

## Articles

- [Cognitive Machine Learning: Learning to Explain](http://blog.shakirm.com/2017/02/cognitive-machine-learning-1-learning-to-explain/)

## Audio, Podcasts

- [The Talking Machines](https://www.thetalkingmachines.com/)
- [Data Skeptic](https://dataskeptic.com/)
- [Linear Digressions](http://lineardigressions.com/)
- [Machine learning guide](https://itunes.apple.com/us/podcast/machine-learning-guide/id1204521130)
- [Not So Standard Deviations](https://soundcloud.com/nssd-podcast)
- [Practical AI](https://changelog.com/practicalai)
- [Talking machines](https://overcast.fm/itunes955198749/talking-machines) - Human conversation about machine learning.
- [This Week in Machine Learning](https://twimlai.com/)

## Blogs

- [KDnuggets](http://www.kdnuggets.com/)
- [MLWave](http://mlwave.com/)
- [Aditya Prakash](http://iamaaditya.github.io/)
- [Andrej Karpathy](https://karpathy.github.io/)
- [Andrew Gambarella](https://atgambardella.github.io/)
- [Apple ML Journal](https://machinelearning.apple.com/)
- [Arg min](http://www.argmin.net/)
- [Bradford Cross](http://www.bradfordcross.com)
- [Brief History of Machine Learning](http://www.erogol.com/)
- [Christopher Olah](http://colah.github.io/)
- [Clarifai](http://blog.clarifai.com/)
- [Concept Search on Wikipedia](http://mccormickml.com/)
- [Deep Dojo](http://deepdojo.com/)
- [DeepMath](https://www3.math.tu-berlin.de/numerik/www.deepmath.org/index.php)
- [DeepMind](https://deepmind.com/blog/)
- [Distill](http://distill.pub/)
- [Facebook Research](https://research.fb.com/blog/)
- [FastML](http://www.fastml.com/)
- [Google Research](https://research.googleblog.com/)
- [I Am Trask](http://iamtrask.github.io/)
- [Igor Babuschkin](https://babushk.in/archive.html)
- [InFERENCe](http://www.inference.vc/)
- [Inverse Probability](http://inverseprobability.com/blog.html)
- [I’m a Bandit](https://blogs.princeton.edu/imabandit/)
- [Kaggle Blog](http://blog.kaggle.com/)
- [Lilian Weng](https://lilianweng.github.io/lil-log/)
- [Machine Learning Theory](http://hunch.net/)
- [Machine Think](http://machinethink.net/blog/)
- [Max Welling](http://scientificpearlsofwisdom.blogspot.nl/)
- [Off the Convex Path](http://www.offconvex.org/)
- [OpenAI](https://blog.openai.com/)
- [Peter Goldsborough](http://www.goldsborough.me/)
- [Ryan Dahl](http://tinyclouds.org/)
- [Sander Dieleman](http://benanne.github.io/)
- [Silicon Valley AI Lab](https://svail.github.io/)
- [Somatic](http://www.somatic.io/blog)
- [Sourabh Bajaj](http://sourabhbajaj.com/)
- [Statistical Modelling, Causal Inference and Social Science](http://andrewgelman.com/)
- [Stephan Hoyer](http://stephanhoyer.com/blog/)
- [TensorFlow](https://medium.com/tensorflow)
- [The Neural Perspective](https://theneuralperspective.com/)
- [The Spectator](http://blog.shakirm.com/)
- [Tim Head](http://betatim.github.io/)
- [Triangle Inequality](https://triangleinequality.wordpress.com/)
- [Unintentionally Inconsiderate](http://rocknrollnerd.github.io/)
- [WildML](http://www.wildml.com/)


## Books

- [Pattern Recognition and Machine Learning](https://www.microsoft.com/en-us/research/people/cmbishop/#!prml-book) by Christopher Bishop
- [The Elements of Statistical Learning](http://web.stanford.edu/~hastie/ElemStatLearn/)
- [📕 Paradigms of artificial intelligence programming (1991)](http://norvig.com/paip.html)
- [📕 Artificial intelligence a modern approach (1994)](http://www.goodreads.com/book/show/27543.Artificial_Intelligence)
- [📕 Machine learning (1997)](http://www.cs.cmu.edu/~tom/mlbook.html)
- [📖 The quest for artificial intelligence - a history of ideas and achievements (2009)](http://ai.stanford.edu/~nilsson/QAI/qai.pdf)
- [📕 Introduction to artificial intelligence (2011)](http://www.goodreads.com/book/show/11328752-introduction-to-artificial-intelligence)
- [📕 Machine learning: a probabilistic perspective (2012)](http://www.goodreads.com/book/show/15857489-machine-learning)
- [📖 The Nature of Code (2012)](http://natureofcode.com/book/)
- [📕 Superintelligence: paths, dangers, strategies (2014)](http://www.goodreads.com/book/show/20527133-superintelligence)
- [📖 Understanding machine learning: from theory to algorithms (2014)](http://www.cs.huji.ac.il/%7Eshais/UnderstandingMachineLearning/understanding-machine-learning-theory-algorithms.pdf)
- [📖 Neural Networks and Deep Learning (2015)](http://neuralnetworksanddeeplearning.com/index.html)
- [📕 Deep Larning with Python (2017)](https://www.goodreads.com/book/show/33986067-deep-learning-with-python)
- [📕 Tensorflow machine learning cookbook (2017)](https://www.packtpub.com/big-data-and-business-intelligence/tensorflow-machine-learning-cookbook)
  - [Code](https://github.com/nfmcclure/tensorflow_cookbook)
- [📕 Hands-On Machine Learning with Scikit-Learn and TensorFlow (2017)](https://www.goodreads.com/book/show/32899495-hands-on-machine-learning-with-scikit-learn-and-tensorflow)
- [📕 Machine Learning with Go (2017)](https://www.packtpub.com/big-data-and-business-intelligence/machine-learning-go) - Build simple, maintainable, and easy to deploy machine learning applications.
- [📖 Interpretable Machine Learning (2018)](https://christophm.github.io/interpretable-ml-book/index.html)
- [📖 Deep learning](http://www.deeplearningbook.org/)
- [📖 Interpretable machine learning (2018)](https://christophm.github.io/interpretable-ml-book/) - Explaining the decisions and behavior of machine learning models.


## Certifications & Assessment

## Cheatsheets

## Code

## Conferences

## Courses

- [AI for Everyone](https://www.coursera.org/learn/ai-for-everyone/) by Andrew Ng (non-technical)
- [MIT Deep Learning (2019)](https://github.com/lexfridman/mit-deep-learning)
- [Amazon’s Machine Learning University course (2018)](https://aws.amazon.com/blogs/machine-learning/amazons-own-machine-learning-university-now-available-to-all-developers/) 🆓
- [Advanced Machine Learning with TensorFlow on Google Cloud Platform Specialization](https://www.coursera.org/specializations/advanced-machine-learning-tensorflow-gcp) - Get hands-on experience optimizing, deploying, and scaling production ML models. 💰
- [Artificial intelligence for robotics](https://www.udacity.com/course/artificial-intelligence-for-robotics--cs373) 🆓
- [Coursera machine learning](https://www.coursera.org/learn/machine-learning) 💰
- [Introduction to Deep Learning (2018)](http://introtodeeplearning.com/) - Introductory course on deep learning algorithms and their applications. 🆓
- [Introduction to Machine Learning for Coders](http://course.fast.ai/ml.html) - The course covers the most important practical foundations for modern machine learning. 🆓
- [Introduction to matrix methods (2015)](http://stanford.edu/class/ee103/) 🆓
- [Learning from data (2012)](https://work.caltech.edu/telecourse.html) 🆓
- [Machine Learning Crash Course (2018)](https://developers.google.com/machine-learning/crash-course/) - Google's fast-paced, practical introduction to machine learning. 🆓
- [Machine learning for data science (2015)](http://www.cs.cornell.edu/courses/cs4786/2015sp/index.htm) 🆓
- [Machine learning in Python with scikit-learn](https://github.com/justmarkham/scikit-learn-videos#readme) 🆓
- [Machine Learning with TensorFlow on Google Cloud Platform Specialization](https://www.coursera.org/specializations/machine-learning-tensorflow-gcp) - Learn ML with Google Cloud. Real-world experimentation with end-to-end ML. 💰
- [Mathematics of Deep Learning, NYU, Spring (2018)](https://joanbruna.github.io/MathsDL-spring18/) 🆓
- [mlcourse.ai](http://mlcourse.ai) - Open Machine Learning course by OpenDataScience. 🆓
- [Neural networks for machine learning](https://www.coursera.org/learn/neural-networks) 💰
- [Notes](https://github.com/1094401996/machine-learning-coursera) 🆓
- [Practical Deep Learning For Coders (2018)](http://course.fast.ai/) - Learn how to build state of the art models without needing graduate-level math. 🆓
- [Statistical learning (2015)](https://lagunita.stanford.edu/courses/HumanitiesandScience/StatLearning/Winter2015/about) 🆓
- [Tensorflow for deep learning research (2017)](http://web.stanford.edu/class/cs20si/index.html) 🆓

## FlashCards

## Forums, Group chats

- [Artificial Intelligence](https://www.reddit.com/r/artificial/)
- [Big data](https://www.reddit.com/r/bigdata/)
- [Data science](https://www.reddit.com/r/datascience/)
- [Learn Machine Learning](https://www.reddit.com/r/learnmachinelearning/)
- [Machine learning](https://www.reddit.com/r/MachineLearning/)
- [ML Questions](https://www.reddit.com/r/MLQuestions/)
- [DataHouse Discord](https://discord.gg/qVRkPtr)

## Games

## Images

## Interactives

- [Neural Network Playground](https://playground.tensorflow.org/)

## Learning Plans

- [The Open Source Data Science Masters](http://datasciencemasters.org/)
- [Dorai Thodla](https://mobile.twitter.com/dorait/status/1113621559581728768)

## Livestreams

## Meetups

## Newsletters

## People

## Q&A

- [Machine learning](https://www.quora.com/topic/Machine-Learning)

## Research Papers

- [AutoAugment: Learning Augmentation Policies from Data (2018)](https://arxiv.org/abs/1805.09501)
- [Mastering Chess and Shogi by Self-Play with a General Reinforcement Learning Algorithm (2017)](https://arxiv.org/abs/1712.01815)
- [Neural Machine Translation and Sequence-to-sequence Models: A Tutorial (2017)](https://arxiv.org/abs/1703.01619)
- [Deep voice: real-time neural text-to-speech (2017)](https://arxiv.org/pdf/1702.07825.pdf)
- [Dropout: a simple way to prevent neural networks from overfitting (2014)](https://www.cs.toronto.edu/~hinton/absps/JMLRdropout.pdf)
- [A Unifying Review of Linear Gaussian Models (1998)](http://mlg.eng.cam.ac.uk/zoubin/papers/lds.pdf)
- [Gaussian processes for big data](http://auai.org/uai2013/prints/papers/244.pdf)
- [Adversarial Patch](https://arxiv.org/pdf/1712.09665.pdf)
- [A few useful things to know about machine learning](http://homes.cs.washington.edu/~pedrod/papers/cacm12.pdf)
- [The high-interest credit card of technical debt](https://static.googleusercontent.com/media/research.google.com/en//pubs/archive/43146.pdf)
- [InfoGAN: Interpretable Representation Learning by Information Maximizing Generative Adversarial Nets](https://arxiv.org/pdf/1606.03657.pdf)

## Videos, Documentaries & Films

## Wiki
- [Main Wikipedia](https://en.wikipedia.org/wiki/Machine_learning)
- [Simple Wikipedia](https://simple.wikipedia.org/wiki/Machine_learning)
