# Mathematics

- related_topics:
- curators: [nileshtrivedi](https://github.com/nileshtrivedi)

------

## Apps and Websites

- [Geogebra](https://www.geogebra.org/)
- [Desmos](https://www.desmos.com/)
- [MathPix](https://mathpix.com/)
- [How these 20+ math tools can make your lessons more exciting](https://www.bookwidgets.com/blog/2019/02/how-these-20-math-tools-can-make-your-lessons-more-exciting)
- [NRICH maths](https://nrich.maths.org/)
- [BLOODHOUND Education](http://www.bloodhoundeducation.com/Learning_Resources)
- [Mathematica](https://www.wolfram.com/mathematica/)
- [Geometry Games](http://geometrygames.org/) by Jeff weeks
- [ScienceFriday Math](https://www.sciencefriday.com/topics/math/)

## Articles

## Audio, Podcasts

- [Relatively prime](https://briankoberlein.com/podcasts/)
- [The Type Theory Podcast](http://typetheorypodcast.com/)
- [Breaking Math](http://breakingmathpodcast.com/)

## Blogs

- [How to Teach Yourself Math](https://www.scotthyoung.com/blog/2018/12/11/teach-yourself-math/)
- [Comfortable Numbered](http://hardmath123.github.io/)
- [Danny Gratzer](https://jozefg.bitbucket.io)
- [Henry de Valence](https://www.hdevalence.ca/blog/)
- [Math ⋂ Programming](https://jeremykun.com/)
- [Nicky Case](http://blog.ncase.me/)
- [Quantitative Journey](http://outlace.com/)
- [Random ASCII](https://randomascii.wordpress.com/)
- [Shape Operator](http://www.shapeoperator.com/)
- [Shtetl-Optimized](https://www.scottaaronson.com/blog/) - The Blog of Scott Aaronson.
- [Steven Wittens](http://acko.net/)
- [The Polymath](https://polymathprojects.org/)


## Books

- [The Shape of Space](https://www.goodreads.com/book/show/599877.The_Shape_of_Space) Jeff Weeks
- [Partial Differential Equations for Scientists and Engineers](https://www.goodreads.com/book/show/164585.Partial_Differential_Equations_for_Scientists_and_Engineers) by Stanley J. Farlow
- [Applied Mathematics: A Very Short Introduction](http://www.veryshortintroductions.com/abstract/10.1093/actrade/9780198754046.001.0001/actrade-9780198754046?rskey=MLPnxI&result=48)
- [Mathematics: A Very Short Introduction](http://www.veryshortintroductions.com/abstract/10.1093/actrade/9780192853615.001.0001/actrade-9780192853615?rskey=rtROx3&result=366)
- [Game Theory: A Very Short Introduction](http://www.veryshortintroductions.com/abstract/10.1093/actrade/9780199218462.001.0001/actrade-9780199218462?rskey=XaooWh&result=243)
- [Numbers: A Very Short Introduction](http://www.veryshortintroductions.com/abstract/10.1093/actrade/9780199584055.001.0001/actrade-9780199584055?rskey=sBHDD5&result=431)
- [Probability: A Very Short Introduction](http://www.veryshortintroductions.com/abstract/10.1093/actrade/9780199588480.001.0001/actrade-9780199588480?rskey=sBHDD5&result=473)
- [📖 A mathematician's apology (1940)](https://www.math.ualberta.ca/mss/misc/A%20Mathematician's%20Apology.pdf)
- [📕 Handbook of mathematics (1945)](http://www.goodreads.com/book/show/1904487.Handbook_of_Mathematics)
- [📕 Fantasia mathematica (1958)](http://www.goodreads.com/book/show/74703.Fantasia_Mathematica)
- [📕 Gödel's proof (1958)](http://www.goodreads.com/book/show/695429.G_del_s_Proof)
- [📕 Sphereland (1965)](http://www.goodreads.com/book/show/469314.Sphereland)
- [📖 Topology from a differentiable viewpoint (1965)](http://www.maths.ed.ac.uk/~aar/papers/milnortop.pdf)
- [📖 An introduction to commutative algebra (1969)](http://wstein.org/edu/2010/581b/books/atiyah-macdonald-introduction_to_commutative_algebra.pdf)
- [📕 Mathematics made difficult (1972)](http://www.goodreads.com/book/show/3693042-mathematics-made-difficult)
- [📖 A course in arithmetic (1973)](https://www.math.purdue.edu/~lipman/MA598/Serre-Course%20in%20Arithmetic.pdf)
- [📖 Introductory functional analysis with applications (1978)](http://www-personal.acfr.usyd.edu.au/spns/cdm/resources/Kreyszig%20-%20Introductory%20Functional%20Analysis%20with%20Applications.pdf)
- [📕 A book of abstract algebra (1982)](http://www.goodreads.com/book/show/8295305-a-book-of-abstract-algebra)
- [📕 To mock a mockingbird (1985)](http://www.goodreads.com/book/show/194769.To_Mock_a_Mockingbird_and_Other_Logic_Puzzles)
- [📖 Proofs and types (1989)](http://www.paultaylor.eu/stable/prot.pdf)
- [📕 Primes of the Form X2 + Ny2: Fermat, Class Field Theory, and Complex Multiplication (1989)](https://www.goodreads.com/book/show/507227.Primes_of_the_Form_X2_Ny2)
- [📕 Algebraic Number Theory (1992)](https://www.goodreads.com/book/show/4556825-algebraic-number-theory)
- [📕 Concrete mathematics (1994)](http://www.goodreads.com/book/show/112243.Concrete_Mathematics)
- [📕 How to prove it (1994)](https://www.goodreads.com/book/show/739735.How_to_Prove_It)
- [📕 Linear algebra done right (1995)](http://www.goodreads.com/book/show/309768.Linear_Algebra_Done_Right)
- [📕 Algebraic Curves and Riemann Surfaces (1995)](https://www.goodreads.com/book/show/1279700.Algebraic_Curves_and_Riemann_Surfaces)
- [📕 Visual complex analysis (1997)](http://www.goodreads.com/book/show/149800.Visual_Complex_Analysis)
- [📕 Conceptual Mathematics: A First Introduction To Categories (1997)](https://www.goodreads.com/book/show/1511125.Conceptual_Mathematics)
- [📕 Geometry and the imagination (1999)](http://www.goodreads.com/book/show/719289.Geometry_and_the_Imagination)
- [📕 Combinatorial Optimization: Polyhedra and Efficiency (2002)](https://www.goodreads.com/book/show/1186653.Combinatorial_Optimization)
- [📖 Sets for Mathematics (2003)](http://patryshev.com/books/Sets%20for%20Mathematics.pdf)
- [📕 A first course in linear algebra (2004)](http://linear.ups.edu/)
- [📕 The art of problem solving (2006)](http://www.goodreads.com/book/show/2872282-the-art-of-problem-solving-volume-1)
- [📕 The princeton companion to mathematics (2008)](http://www.goodreads.com/book/show/1471873.The_Princeton_Companion_to_Mathematics)
- [📕 Visual group theory (2009)](http://www.goodreads.com/book/show/7629307-visual-group-theory-maa-classroom-resource-materials)
- [📕 Algebra: Chapter 0 (2009)](https://www.goodreads.com/book/show/6829004)
- [📕 Essentials of discrete mathematics (2009)](http://www.goodreads.com/book/show/12132668-essentials-of-discrete-mathematics)
- [📕 Computational Topology: An Introduction (2010)](https://www.goodreads.com/book/show/7518301-computational-topology)
- [📕 Foundations of analysis (2012)](http://www.goodreads.com/book/show/682044.Foundations_of_Mathematical_Analysis)
- [📖 Homotopy type theory (2013)](https://hott.github.io/book/nightly/hott-online-1075-g3c53219.pdf)
- [📖 The napkin project (2017)](https://usamo.files.wordpress.com/2017/02/napkin-2017-02-15.pdf)
- [📖 Mathematics for computer science (2017)](https://courses.csail.mit.edu/6.042/spring17/mcs.pdf)
- [📖 Immersive linear algebra (2017)](http://immersivemath.com/ila/index.html)
- [📕 Programmer's Introduction to Mathematics (2018)](https://pimbook.org/)
- [📕 Physically based rendering: from theory to implementation](http://www.pbrt.org/)
- [📕 Invitation to ergodic theory](http://bookstore.ams.org/stml-42)
- [📖 Abstract Algebra: Theory and Applications](http://abstract.ups.edu/download/aata-20160809-sage-7.3.pdf)
- [📖 Linear algebra](http://joshua.smcvt.edu/linearalgebra/book.pdf)
- [Books by John Allen Paulos](http://johnallenpaulos.com/booksandreviews.html)
- [Disquisitiones Arithmeticae](https://books.google.co.in/books?id=iRbmmhOLA1kC&dq=isbn:0300094736&hl=en&sa=X&ved=0ahUKEwjLsuX5y5HiAhUKVH0KHQ37AR4Q6AEIKDAA) by Carl Friedrich Gauss
- [Reading List by American Institute of Mathematics](https://aimath.org/textbooks/approved-textbooks/)

## Certifications & Assessment

## Cheatsheets

## Code

## Conferences

## Courses

- [Introduction to Mathematical Thinking](https://www.coursera.org/learn/mathematical-thinking) by Dr. Keith Devlin
- [Abstract algebra (2014)](https://www.math.upenn.edu/~ted/371F14/math371.html) 🆓
- [MIT linear algebra (2010)](https://ocw.mit.edu/courses/mathematics/18-06-linear-algebra-spring-2010/) 🆓
- [MIT multivariable calculus (2007)](https://ocw.mit.edu/courses/mathematics/18-02-multivariable-calculus-fall-2007/) 🆓
- [MIT multivariable calculus by Prof. Denis Auroux](https://ocw.mit.edu/courses/mathematics/18-02sc-multivariable-calculus-fall-2010/index.htm) 🆓
- [MIT multivariable control systems (2004)](https://ocw.mit.edu/courses/electrical-engineering-and-computer-science/6-245-multivariable-control-systems-spring-2004/) 🆓
- [MIT singlevariable calculus (2006)](https://ocw.mit.edu/courses/mathematics/18-01-single-variable-calculus-fall-2006/) 🆓
- [Nonlinear dynamics and chaos (2014)](https://www.youtube.com/playlist?list=PLbN57C5Zdl6j_qJA-pARJnKsmROzPnO9V) 🆓
- [Stanford mathematical foundations of computing (2016)](http://web.stanford.edu/class/cs103/) 🆓
- [Types, Logic, and Verification (2013)](https://www.fcs.uoregon.edu/research/summerschool/summer13/curriculum.html)
- [Discrete Mathematics and Probability Theory](http://www-inst.eecs.berkeley.edu/%7Ecs70/archives.html) 🆓
- [Exploding Dots](https://www.explodingdots.org/)
- [Mathematics for Machine Learning Specialization](https://www.coursera.org/specializations/mathematics-machine-learning) by _Imperial College London_ `paid`


## Documenteries

- [Euler's Identity](https://www.youtube.com/watch?v=sKtloBAuP74)
- [Fractals - the colours of infinity](http://topdocumentaryfilms.com/fractals-colors-infinity/)
- [But what is the Fourier Transform? A visual introduction.](https://www.youtube.com/watch?v=spUNpyF58BY)
- [Neural networks](https://www.youtube.com/playlist?list=PLZHQObOWTQDNU6R1_67000Dx_ZCJB-3pi)
- [Essence of calculus](https://www.youtube.com/playlist?list=PLZHQObOWTQDMsr9K-rj53DwVRMYO3t5Yr)

## FlashCards

- [Anki Decks](https://ankiweb.net/shared/decks/math)

## Forums, Group chats

- [Fived](https://www.reddit.com/r/fived/)
- [Fractals](https://www.reddit.com/r/fractals/)
- [Gonwild](https://www.reddit.com/r/gonwild/)
- [Holofractal](https://www.reddit.com/r/holofractal/)
- [Hypershape](https://www.reddit.com/r/hypershape/)
- [Math](https://www.reddit.com/r/math/)
- [Freenode IRC #math](https://webchat.freenode.net/)

## Games

- [ProdigyGame](https://www.prodigygame.com/) For class 1 to 8, Maths questions in between the video game.
- [NRICH](https://nrich.maths.org/) Rich in maths games, activities, news and mathematical thinking for different level student
- [MathForLove](https://mathforlove.com/)

## Images

## Interactives

- [Mathigon](https://mathigon.org/)
- [Parallel](https://parallel.org.uk/)

## Journals

- [arXiv](https://arxiv.org/)
- [arXiv sanity preserver](http://www.arxiv-sanity.com/)
- [At Right Angles](https://azimpremjifoundation.org/foundation/710)

## Learning Plans

## Livestreams

## Meetups and Events

- [Association of Teachers of Mathematics](https://www.atm.org.uk/Maths-teacher-conference)

## Newsletters

## People

- Grant Sanderson (3Blue1Brown0): [Twitter](https://twitter.com/3blue1brown) | [Website](https://www.3blue1brown.com/) | [Wiki](https://en.wikipedia.org/wiki/3Blue1Brown) | [Instagram](https://www.instagram.com/3blue1brown_animations/)
- Steven Strogatz: [twitter](https://twitter.com/stevenstrogatz)

## Q&A

- [Math StackExchange](https://math.stackexchange.com/)
- [MathOverflow](https://mathoverflow.net/)
- [Discrete mathematics](https://www.quora.com/topic/Discrete-Mathematics)
- [Geometry](https://www.quora.com/topic/Geometry)
- [Graph theory](https://www.quora.com/topic/Graph-Theory)
- [Mathematics](https://www.quora.com/topic/Mathematics)
- [Matrices](https://www.quora.com/topic/Matrices-mathematics)
- [Number theory](https://www.quora.com/topic/Number-Theory)
- [Prime numbers](https://www.quora.com/topic/Prime-Numbers)
- [Set theory](https://www.quora.com/topic/Set-Theory)
- [Math educators Stack Exchange](http://matheducators.stackexchange.com)
- [Math overflow](http://mathoverflow.net)
- [Mathematica Stack Exchange](http://mathematica.stackexchange.com)

## Research Papers

- [Polynomial exact-3-sat solving algorithm](http://vixra.org/pdf/1212.0109v1.pdf)
- [The language and grammar of mathematics](http://press.princeton.edu/chapters/gowers/gowers_I_2.pdf)
- [Comprehending Monads](https://ncatlab.org/nlab/files/WadlerMonads.pdf)
- [Notation as a tool of thought](http://www.jsoftware.com/papers/tot.htm)
- [A Mathematical Theory of Communication](http://math.harvard.edu/~ctm/home/text/others/shannon/entropy/entropy.pdf)
- [Graph isomorphism in quasipolynomial time](https://arxiv.org/abs/1512.03547)
- [On proof and progress in mathematics](https://arxiv.org/pdf/math/9404236v1.pdf)
- [Introduction to categories and categorical logic](https://arxiv.org/abs/1102.1313)
- [A notion of a computational step for partial combinatory algebras](http://math.mit.edu/~freer/papers/AF-stepalg.pdf)
- [Reading mathematics](http://www.math.cornell.edu/~hubbard/readingmath.pdf)
- [Quotients homophones des groupes libres homophonic quotients of free groups](http://people.mpim-bonn.mpg.de/zagier/files/exp-math-2/fulltext.pdf)
- [A beginner’s guide to forcing](https://arxiv.org/pdf/0712.1320.pdf)
- [A lagrangian dual approach to the generalized kyp lemma](https://pdfs.semanticscholar.org/acdc/f72a08e4847f4e0ab2e7cf0d58bd4d8ded92.pdf)
- [What is good mathematics? (2007)](https://arxiv.org/abs/math/0702396)
- [On the dimensionality of spacetime](https://arxiv.org/pdf/gr-qc/9702052.pdf)
- [A cohomological viewpoint on elementary school arithmetic](http://www.math.wayne.edu/~isaksen/Expository/carrying.pdf)
- [Beta reduction is invariant, indeed](https://arxiv.org/abs/1601.01233)
- [Sketch of a Programme](http://matematicas.unex.es/%7Enavarro/res/esquisseeng.pdf)
- [A naturalist account of the limited, and hence reasonable, effectiveness of mathematics in physics (2015)](https://arxiv.org/abs/1506.03733)

## Videos, Documentaries & Films

- [The Map of Mathematics](https://www.youtube.com/watch?v=OmJ-4B-mS-Y&t=271s)
- [3Blue1Brown | YouTube Playlists](https://www.youtube.com/channel/UCYO_jab_esuFRV4b17AJtAw)


## Teaching Resources

- [Rich Series Professional Development by Dan Finkel](https://mathspathway.com/media-library/)

## Wiki
- [Main Wikipedia](https://en.wikipedia.org/wiki/Mathematics)
- [Simple Wikipedia](https://simple.wikipedia.org/wiki/Mathematics)
