# Physics

- related_topics:
- curators:

------

## Apps and Websites

- [Science Friday](https://www.sciencefriday.com/topics/physics-chemistry/)
- [Algodoo](http://www.algodoo.com/)
- [PhysicsTravelGuide](https://physicstravelguide.com/start)

## Articles

## Audio, Podcasts

- [Sean Carroll's Mindscape: Science, Society, Philosophy, Culture, Arts, and Ideas](https://overcast.fm/itunes1406534739/sean-carrolls-mindscape-science-society-philosophy-culture-arts-and-ideas) - Sean Carroll hosts conversations with the world’s most interesting thinkers.


## Blogs

- [AMVA4NewPhysics](https://amva4newphysics.wordpress.com/)
- [Brilliantly Wrong](https://arogozhnikov.github.io/)

## Books

- [The Feynman Lectures](http://www.feynmanlectures.caltech.edu/)
- [Quantum Theory: A Very Short Introduction](http://www.veryshortintroductions.com/abstract/10.1093/actrade/9780192802521.001.0001/actrade-9780192802521?rskey=sBHDD5&result=486)
- [📕 Relativity: the special and the general theory (1916)](http://www.goodreads.com/book/show/15852.Relativity)
- [📕 University physics with modern physics](https://my.mindnode.com/1M2ZVqow9pgJ95qwCH7hnwFWdRL8sDcMQqx5b3z9)
  - [Notes](http://web.sbu.edu/physics/courses/physics-203p.pdf)
- [📕 Nonlinear dynamics and chaos (1994)](http://www.goodreads.com/book/show/116164.Nonlinear_Dynamics_and_Chaos)
- [📕 Pale blue dot (1994)](http://www.goodreads.com/book/show/61663.Pale_Blue_Dot)
- [📕 Black holes and time warps (1994)](http://www.goodreads.com/book/show/17362.Black_Holes_Time_Warps)
- [📕 The fabric of the cosmos (2004)](http://www.goodreads.com/book/show/22435.The_Fabric_of_the_Cosmos)
- [📕 Fields of colour: the theory that escaped Einstein (2010)](http://www.goodreads.com/book/show/13485212-fields-of-color)
- [📕 The theoretical minimum (2013)](http://www.goodreads.com/book/show/13587145-the-theoretical-minimum)
- [📖 The feynman lectures on physics (2013)](http://feynmanlectures.caltech.edu/)


## Certifications & Assessment

## Cheatsheets

## Code

## Conferences

## Courses

## FlashCards

- [Anki Decks](https://ankiweb.net/shared/decks/physics)

## Forums, Group chats

## Games

## Images

## Interactives

- [Physics Classroom](https://www.physicsclassroom.com/)

## Journals

- [arXiv](https://arxiv.org/)
- [arXiv sanity preserver](http://www.arxiv-sanity.com/)
- [Inspire](https://inspirehep.net)

## Learning Plans

- [So You Want To Learn Physics?](https://www.susanjfowler.com/blog/2016/8/13/so-you-want-to-learn-physics) by Susan Fowler

## Livestreams

## Meetups

## Newsletters

## People

## Q&A

- [Physics](http://physics.stackexchange.com)

## Research Papers

- [Hamiltonian for the zeros of the Riemann Zeta function (2016)](https://arxiv.org/abs/1608.03679)
- [General Relativity and Cosmology: Unsolved Questions and Future Directions (2016)](https://arxiv.org/abs/1609.09781)
- [There are no particles, there are only fields (2012)](https://arxiv.org/abs/1204.4616)
- [Would Bohr be born if Bohm were born before Born? (2007)](https://arxiv.org/abs/physics/0702069)
- [The holographic solution - why general relativity must be understood in terms of strings (2004)](https://arxiv.org/abs/gr-qc/0405007)
- [Measurement of subpicosecond time intervals between two photons by Interference (1987)](https://www.colorado.edu/physics/phys7810_006/phys7810_006_sp13/QuantumOptics_sp13/Lectures_files/HOM_PRL_1987.pdf)
- [Bertlmann’s socks and the nature of reality (1981)](https://hal.archives-ouvertes.fr/file/index/docid/220688/filename/ajp-jphyscol198142C202.pdf)
- [More is different (1972)](https://www.physics.ohio-state.edu/~jay/880/moreisdifferent.pdf)
- [On the Einstein Podolsky Rosen Paradox (1964)](http://cds.cern.ch/record/111654/files/vol1p195-200_001.pdf)
- [Deterministic Nonperiodic Flow (1962)](http://eaps4.mit.edu/research/Lorenz/Deterministic_63.pdf)
- [There's Plenty of Room at the Bottom (1959)](http://www.zyvex.com/nanotech/feynman.html)
- [Forms of Relativistic Dynamics (1949)](https://journals.aps.org/rmp/abstract/10.1103/RevModPhys.21.392)
- [What is life? (1944)](http://www.whatislife.ie/downloads/What-is-Life.pdf)
- [Can Quantum-Mechanical Description of Physical Reality Be Considered Complete? (1935)](https://journals.aps.org/pr/pdf/10.1103/PhysRev.47.777)
- [Possible Existence of a Neutron (1932)](http://web.mit.edu/22.54/resources/Chadwick.pdf)
- [On the electrodynamics of moving bodies (1905)](http://hermes.ffn.ub.es/luisnavarro/nuevo_maletin/Einstein_1905_relativity.pdf)
- [Kindergarten Quantum Mechanics](https://arxiv.org/abs/quant-ph/0510032)

## Videos, Documentaries & Films

- [Up & Atom](https://www.youtube.com/channel/UCSIvk78tK2TiviLQn4fSHaw)

## Wiki

- [Main Wikipedia](https://en.wikipedia.org/wiki/Physics)
- [Simple Wikipedia](https://simple.wikipedia.org/wiki/Physics)
