# Python

- related_topics: [programming](programming.md)
- curators: [Jarmos](https://twitter.com/Jarmosan)

------

## Apps & Websites

## Articles

- [Learning Python: From Zero to Hero](https://medium.com/the-renaissance-developer/learning-python-from-zero-to-hero-8ceed48486d5) by [TK](https://medium.com/@leandrotk_)
- [Learning Python Programming: The Basics](https://medium.com/@george.seif94/learning-python-programming-the-basics-252d9df3744a) by [George Seif](https://medium.com/@george.seif94)
- [Analyzing Medium Story Stats With Python](https://towardsdatascience.com/analyzing-medium-story-stats-with-python-24c6491a8ff0) by [William Koehrsen](https://towardsdatascience.com/@williamkoehrsen)
- [An Intro to Python](https://blog.anirudha.org/en/2014/08/29/intro-to-python/) by [Kumar Anirudha](https://twitter.com/kranirudha)

## Audio, Podcasts

- [Talk Python To Me](https://talkpython.fm/)
- [Python Bytes Podcast](https://pythonbytes.fm/)
- [Podcast.___init___](https://www.pythonpodcast.com/)
- [Test & Code - Software Testing, Development, Python](https://testandcode.com/)


## Blogs

- [Real Python](https://realpython.com/)
- [Planet Python](https://planetpython.org/)
- [The Python Guru](https://thepythonguru.com/blog/)
- [Armin Ronacher's Thoughts and Writings](http://lucumr.pocoo.org/)
- [Python Software Foundation](http://pyfound.blogspot.com/)'s Blog
- [Rg3](http://rg3.name/)
- [BangPypers](http://bangalore.python.org.in/)
- [The Most Insightful Stories on Python | Medium](https://medium.com/tag/python)

## Books

- [📕 Python essential reference (1999)](https://www.goodreads.com/book/show/6666430-python-essential-reference) by [David M. Beazley](https://en.wikipedia.org/wiki/David_M._Beazley)
- [📖 Dive into python 3 (2004)](http://www.diveintopython3.net/) by [Mike Pilgrim](https://en.wikipedia.org/wiki/Mark_Pilgrim)
- [📖 Problem solving with algorithms and data structures using python (2005)](http://interactivepython.org/runestone/static/pythonds/index.html) by [David L. Ranum](https://www.goodreads.com/author/show/323427.David_L_Ranum), [Bradley N. Miller](https://www.goodreads.com/author/show/323428.Bradley_N_Miller)
- [📖 Python cookbook 3r Edition(2011)](https://d.cxcore.net/Python/Python_Cookbook_3rd_Edition.pdf) by [Alex Martelli](https://en.wikipedia.org/wiki/Alex_Martelli), [David Ascher](https://twitter.com/davidascher?lang=en), Anna Martelli Ravenscroft
- [📕 Data structures and algorithms in python (2013)](https://doc.lagout.org/programmation/python/Data%20Structures%20and%20Algorithms%20in%20Python%20[Goodrich,%20Tamassia%20&%20Goldwasser%202013-03-18].pdf) by [Michael T. Goodrich](https://en.wikipedia.org/wiki/Michael_T._Goodrich), [Michael H. Goldwasser](https://www.goodreads.com/author/show/3861679.Michael_H_Goldwasser), [Roberto Tamassia](https://en.wikipedia.org/wiki/Roberto_Tamassia)
- [📕 Test driven development with python (2014)](http://www.obeythetestinggoat.com/pages/book.html#toc) by [Harry Percival](https://twitter.com/hjwp?lang=en)
- [📕 Effective python (2015)](https://arisuchan.jp/%CE%BB/src/1498628824511-0.pdf) by [Brett Slatkin](https://twitter.com/haxor?lang=en)
- [📕 Fluent python (2015)](http://www.goodreads.com/book/show/22800567-fluent-python) by [Luciano Ramalho](https://twitter.com/ramalhoorg?ref_src=twsrc%5Egoogle%7Ctwcamp%5Eserp%7Ctwgr%5Eauthor)
- [📖 Inside the python virtual machine (2017)](https://leanpub.com/insidethepythonvirtualmachine/read)
- [📖 Full Speed Python (2018)](https://github.com/joaoventura/full-speed-python)
- [📖 Automate the boring stuff with python](https://automatetheboringstuff.com/) by [Al Sweigart](https://twitter.com/AlSweigart)
- [📕 A Byte of Python](https://python.swaroopch.com/) by Swaroop C. H.
- [📖 Building Skills in Python (2010)](http://www.itmaybeahack.com/book/python-2.6/latex/BuildingSkillsinPython.pdf) by [Steven F. Lott](https://www.goodreads.com/author/show/4537706.Steven_F_Lott)
- [📕 Python 3 Tutorial](https://www.python-course.eu/python3_course.php)
- [📕 Quantitative Economics with Python](https://lectures.quantecon.org/py/)
- [📕 Think Python - How to Think Like a Computer Scientist (2012)](https://www.greenteapress.com/thinkpython/thinkpython.pdf) by [Allen Downey](https://twitter.com/AllenDowney)

## Certifications & Assessment

- [Python 3 Tutorial | SoloLearn: Learn to Code for Free!](https://www.sololearn.com/Course/Python/)

## Cheatsheets

- [Real Python: Python 3 Cheat Sheet](https://static.realpython.com/python-cheat-sheet.pdf?__s=spkfg5559c9wdkhcifhw)

## Code

## Conferences

- [List of Python Conferences & Workshops Worldwide](https://www.python.org/community/workshops/)
- [Official PyCon Website](http://pycon.org/)
- [List of Upcoming Python Conferences Worldwide](https://www.python.org/events/)

## Courses

- [Complete Python Bootcamp: Go from zero to hero in Python 3](https://www.udemy.com/share/100058BUQcclZbRXo=/) (**Estimated time to complete**: 24 hours, **Difficulty**: Beginner) by _Jose Portilla_ `Paid`
- [Learn Python Programming Masterclass](https://www.udemy.com/share/1000dOBUQcclZbRXo=/) (**Estimated time to complete**: 42 hours, _Difficulty:_ Beginner) by _Tim Buchalka_, _Jean-Paul Roberts_ `Paid`
- [The Python Bible™ | Everything You Need to Program in Python](https://www.udemy.com/share/10000OBUQcclZbRXo=/) (**Estimated time to complete**: 9 hours, **Difficulty**: Beginner) `Paid`
- [30 Days of Python | Unlock your Python Potential](https://www.udemy.com/share/1000MUBUQcclZbRXo=/) (**Estimated time to complete**: 9.5 hours, **Difficulty**: Beginner) `Paid`
- [Automate the Boring Stuffs With Python Programming](https://www.udemy.com/share/100006BUQcclZbRXo=/) (**Estimated time to complete**: 9.5 hours, **Difficulty**: Beginner) by [Al Sweigart](https://twitter.com/AlSweigart) `Paid`

## FlashCards

## Forums, Group chats

- [r/python | Reddit](https://www.reddit.com/r/Python/)
- [BangPypers](https://bangpypers.slack.com/)
- [PyStudyGroup](https://pystudygroup.slack.com/)
- [comp.lang.python | Google Group](https://groups.google.com/forum/#!forum/comp.lang.python)

## Games

## Images

## Interactives

- [Python Tutor | Visualize Python Code Execution](http://pythontutor.com/visualize.html#mode=edit)
- [CodeSkulptor3](https://py3.codeskulptor.org/)
- [CheckiO | Python Online Playground](https://py.checkio.org/)

## Journals

## Learning Plans

## Livestreams

## Meetups

- [BangPypers](https://www.meetup.com/bangpypers)
- [Python Meetups | Worldwide](https://www.meetup.com/topics/python/)

## Newsletters

- [BangPypers](https://mail.python.org/mailman/listinfo/bangpypers)
- [PyCoder's Weekly | A Weekly Python E-Mail Newsletter](https://pycoders.com/)

## People

- [David M. Beazley](https://en.wikipedia.org/wiki/David_M._Beazley)
- [Andreas Mueller | Twitter](https://twitter.com/amuellerml)
- [Allen Downey | Twitter](https://twitter.com/AllenDowney)
- [Al Sweigart | Twitter](https://twitter.com/AlSweigart)

## Q&A

- [Python | Quora](https://www.quora.com/topic/Python-programming-language-1)
- [Python | StackOverflow](https://stackoverflow.com/tags/python/info)

## Quotes

## Research Papers

## Videos, Documentaries & Films

- [Python Tutorials by Corey Schafer | YouTube](https://www.youtube.com/playlist?list=PL-osiE80TeTt2d9bfVyTiXJA-UTHn6WwU)
- [Python Tutorials for Absolute Beginner by CS Dojo | YouTube](https://www.youtube.com/playlist?list=PLBZBJbE_rGRWeh5mIBhD-hhDwSEDxogDg)
- [Python 3 Basics Tutorial by Sentdex | YouTube](https://www.youtube.com/playlist?list=PLQVvvaa0QuDe8XSftW-RAxdo6OmaeL85M)
- [Archived List of Python Conference Videos](https://pyvideo.org/)

## Wiki

- [Python Wiki](https://wiki.python.org/moin/BeginnersGuide/Programmers)
- [Python(Programming Language) | Wikipedia](https://en.wikipedia.org/wiki/Python_(programming_language))
- [Python(Programming Language) | Simple Wikipedia](https://simple.wikipedia.org/wiki/Python_(programming_language))
