# R

- related_topics: [programming](programming.md) [Data Science](https://github.com/learn-awesome/learn-awesome/tree/master/data-science)
- curators: [Jarmos](https://github.com/Jarmos-san)

------

## Apps & Websites

## Articles

- [World Cup 2018: 5 Game Changing Technologies in Football](https://www.edureka.co/blog/game-changing-technologies-in-the-world-cup-2018/)
- [The First Date with your Data in R](http://www.programmingr.com/content/first-date-data-r/)
- [How To Make Your Data Analyst Resume Stand Out](http://www.programmingr.com/content/analyst-resume/)
- [Resume & Interview Tips For R Programmers](http://www.programmingr.com/content/resume-interview-tips-r-programmers/)

## Audio, Podcasts

- [The R-Podcast](https://r-podcast.org/)
- [No So Standard Deviations](http://nssdeviations.com/)
- [DataFramed](https://www.datacamp.com/community/podcast?tap_a=5644-dce66f&tap_s=10907-287229)
- [This Week in Machine Learning and AI Podcast](https://twimlai.com/)
- [Microsoft Research Podcast Archives](https://www.microsoft.com/en-us/research/blog/category/podcast/)

## Blogs

- [R-Bloggers | R News and Tutorials Contributed by (750) R-Bloggers](https://www.r-bloggers.com/)

## Books

- [📖 R for Data Science (2016)](http://r4ds.had.co.nz/) by [Hadley Wickham](hadley.nz) & [Garett Grolemund](https://twitter.com/StatGarrett)

## Certifications & Assessment

## Cheatsheets

- [Base R](http://github.com/rstudio/cheatsheets/raw/master/base-r.pdf)
- [Advanced R](https://www.rstudio.com/wp-content/uploads/2016/02/advancedR.pdf)
- [Regular Expressions](https://github.com/rstudio/cheatsheets/raw/master/regex.pdf)
- [Import Data using R](https://github.com/rstudio/cheatsheets/raw/master/data-import.pdf)
- [Data Transformation](https://github.com/rstudio/cheatsheets/raw/master/data-transformation.pdf)
- [Data Visualization](https://github.com/rstudio/cheatsheets/raw/master/data-visualization-2.1.pdf)
- [R Markdown](https://github.com/rstudio/cheatsheets/raw/master/rmarkdown-2.0.pdf)
- [RStudio IDE](https://github.com/rstudio/cheatsheets/raw/master/rstudio-ide.pdf)
- [Shiny](https://github.com/rstudio/cheatsheets/raw/master/shiny.pdf)
- [Caret - R Package | Modelling & ML in R](https://github.com/rstudio/cheatsheets/raw/master/caret.pdf)
- [Tabular Guide to ML Modelling](https://github.com/rstudio/cheatsheets/raw/master/Machine%20Learning%20Modelling%20in%20R.pdf)
- [Basic R Programming Cheatsheet](http://datasciencefree.com/basicR.pdf)
- [R Cheatsheet | MIT](http://web.mit.edu/hackl/www/lab/turkshop/slides/r-cheatsheet.pdf)
- [The Ultimate Cheatsheet(v4)](https://sites.ualberta.ca/~ahamann/teaching/renr690/R_Cheat_Data.pdf)

## Code

## Conferences

- [R: Conferences](https://www.r-project.org/conferences/)

## Courses

- [R Programming A-Z™: R For Data Science With Real Exercises!](https://www.udemy.com/share/1000DOBUQcclZbRXo=/) (**Estimated time to Complete**:10.5 hours, **Difficulty**: Beginner) by _Kirill Eremenko_ `paid`
- [R Programming | Coursera](https://www.coursera.org/learn/r-programming?specialization=jhu-data-science) (**Estimated time to Complete**: 20 hours, **Difficulty**: Intermediate) by _[Roger D. Peng](https://twitter.com/rdpeng?lang=en)_, _[Jeff Leek](http://jtleek.com/)_, _[Brian Caffo](https://sites.google.com/view/bcaffo/home)_ `paid certificate`

## FlashCards

## Forums, Group chats

- [Nabble | R Mailling List Archive](http://r.789695.n4.nabble.com/)
- [Youth4Work](https://www.youth4work.com/Talent/R-Programming-Language/Forum)
- [Edureka Community](https://www.edureka.co/community/)

## Games

## Images

## Interactives

- [Swirl: Learn R, in R.](https://swirlstats.com/)

## Journals

## Learning Plans

## Livestreams

## Meetups

- [List of Some of the Big Meetup Groups Worldwide](https://www.meetup.com/pro/r-user-groups)
- [New York Open Statistical Programming Meetup | 10k+ Members](https://nyhackr.org/)
- [Data Science Festival - London | 9k+ Members](https://www.meetup.com/Data-Science-Festival-London/)
- [Greater Boston useR Group | 3k+ Members](https://www.meetup.com/Boston-useR/)
- [Analytics Vidhya Bangalore | 4k+ members](https://www.meetup.com/analytics-vidhya-bangalore/)
- [Taiwan R User Group/MLDM Monday | 6k+ Members](https://www.meetup.com/Taiwan-R/)
- [London Data Science Workshop | 4k+ Members](https://www.meetup.com/London-Data-Science-Workshop/)

## Newsletters

- [The R Journal](https://journal.r-project.org/)
- [RWeekly.org](https://rweekly.org/)

## People

- [Roger D. Peng](https://twitter.com/rdpeng)
- Hadley Wickham -- [Twitter](https://twitter.com/hadleywickham?lang=en) | [Quora](https://www.quora.com/profile/Hadley-Wickham)

## Q&A

- [R | StackOverflow](https://stackoverflow.com/tags/r/info)
- [R | Quora](https://www.quora.com/topic/R-programming-language)

## Quotes

## Research Papers

## Videos, Documentaries & Films

- [R Programming For Beginner | edureka!](https://youtu.be/fDRa82lxzaU)
- [Learn R Programming - YouTube Playlist | DataCamp](https://www.youtube.com/playlist?list=PLjgj6kdf_snYBkIsWQYcYtUZiDpam7ygg)
- [Learn R Programming with John Hopkins University - YouTbe Playlist](https://www.youtube.com/playlist?list=PLVext98k2evi8mDNRo4MwIgVgSmwM3cS8)
- [Introduction to R - YouTube Playlist ](https://www.youtube.com/playlist?list=PL8eNk_zTBST_KL2gnciUv1oor0ECw8Hqg)
- [Introduction to `dplyr`](https://www.youtube.com/playlist?list=PL8eNk_zTBST923vmo5RZLIZle9fRFoXVP)

## Wiki

- [R | Wikipedia](https://en.wikipedia.org/wiki/R_(programming_language))
